Bug 1007479 (fastutil) - Review Request: fastutil - Fast & compact type-specific collections for Java
Summary: Review Request: fastutil - Fast & compact type-specific collections for Java
Keywords:
Status: CLOSED ERRATA
Alias: fastutil
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Will Benton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-09-12 14:47 UTC by gil cattaneo
Modified: 2013-09-29 01:42 UTC (History)
2 users (show)

Fixed In Version: fastutil-6.5.9-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-28 00:23:03 UTC
Type: ---
willb: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
review notes (7.93 KB, text/plain)
2013-09-17 22:03 UTC, Will Benton
no flags Details

Description gil cattaneo 2013-09-12 14:47:17 UTC
Spec URL: http://gil.fedorapeople.org/fastutil.spec
SRPM URL: http://gil.fedorapeople.org/fastutil-6.5.7-1.fc19.src.rpm
Description:
Fastutil extends the Java Collections Framework by providing type-specific
maps, sets, lists and priority queues with a small memory footprint and
fast access and insertion; it also includes a fast I/O API for binary and
text files. The classes implement their standard counterpart interface
(e.g., Map for maps) and can be plugged into existing code. Moreover, they
provide additional features (such as bidirectional iterators) that are not
available in the standard classes.
Fedora Account System Username: gil

Comment 1 Will Benton 2013-09-17 22:03:25 UTC
Created attachment 798984 [details]
review notes

Only one caveat:  Some files have comments indicating that they are LGPL-licensed.  As far as I can tell, these merely have not been modified since a prior, LGPL-licensed version of fastutil, but if they are in fact LGPL, then it wouldn't be possible to distribute fastutil under the terms of Apache 2.0.  I have reached out to the author for a clarification and will set the fedora-review flag once I hear back from him.

Comment 2 gil cattaneo 2013-09-17 22:26:22 UTC
thanks! can subscribe an SCM request?

Comment 3 Will Benton 2013-09-18 01:34:36 UTC
I heard back from the author, who indicates that this the LGPL text is a relic of the older version.  He will fix the comments upstream.

Comment 4 Will Benton 2013-09-18 01:35:47 UTC
New Package SCM Request
=======================
Package Name: fastutil
Short Description: Fast & compact type-specific collections for Java
Owners: gil
Branches: f19 f20
InitialCC: java-sig

Comment 5 gil cattaneo 2013-09-18 02:39:20 UTC
Spec URL: http://gil.fedorapeople.org/fastutil.spec
SRPM URL: http://gil.fedorapeople.org/fastutil-6.5.9-1.fc19.src.rpm

- update to 6.5.9

Comment 6 Gwyn Ciesla 2013-09-18 12:26:55 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2013-09-18 19:54:57 UTC
fastutil-6.5.9-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fastutil-6.5.9-1.fc20

Comment 8 Fedora Update System 2013-09-18 20:08:57 UTC
fastutil-6.5.9-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fastutil-6.5.9-1.fc19

Comment 9 Fedora Update System 2013-09-19 18:33:29 UTC
fastutil-6.5.9-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 10 Fedora Update System 2013-09-28 00:23:03 UTC
fastutil-6.5.9-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 11 Fedora Update System 2013-09-29 01:42:12 UTC
fastutil-6.5.9-1.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.